Get compressed file with archived mailing contents
1 min
GET
https://api.campaign.episerver.net/rest/{clientId}/mailarchive/content
clientIdstringClient ID
fromstring<p>Time filter to select archived mails created from date. DateTimeFormat 2021-11-07 17:43</p><div></div>. UTC Timezone will be used to parse the parameter<p></p>
bmMailIdsarrayCollection of encoded mail IDs
optinStatusstring<p>Double Opt-in status (Only for confirmation archived mails)</p>
mailingIdinteger<int64>Mailing ID of archived mail
recipientIdstring<p>Recipient ID (usually the email address)</p>
mailingTypesstring<p>Collection of mailingTypes. Supported mailingTypes [event, transaction, confirmation, campaign]</p>
recipientAddressstring<p>Recipient address (usually the email address)</p>
untilstring<p>Time filter to select archived mails created until date. DateTimeFormat 2021-11-07 17:43</p><div></div>. UTC Timezone will be used to parse the parameter<p></p>
acceptstringGenerated from available response content types
next-cursorstringCursor to retrieve next batch. Cursor is going to expire after 10 minutes.
200The compressed file with archived mailing contents was retrieved successfully.
204Archived mailings could not be found.
400<p>Invalid request or 'next-cursor' is expired.</p>
curl --request GET \
--url https://api.campaign.episerver.net/rest/{clientId}/mailarchive/content \
--header 'accept: application/octet-stream'